{

    //锁血测试

    "AbilityName": "TestPlayer_Ability_Tianheng_52",

    "AbilityStacking": "Unique",



    "DefaultModifier":

    {

        "OnAdded":

        [

            {  

                "$type" : "MoleMole.FireEffect",

                "EffectPattern" : "Eff_Avatar_LevelUp_02",

                "Target" : "Self"

            }

        ]

    },



    "AbilityMixins":

    [

        {

            "$type": "MoleMole.LockLifePropertyMixin",

            "PerformBeHitEffect":true,



            "DeltaLockList":

            [

                {

                    "LockType": "Total",

                    "LockValue": 50

                }

            ],



            "RatioLockList":

            [

                {

                    "LockType": "Total",

                    "LockValue": 0.5

                }

            ],



            "OnLifeLockedActions":

            [

                {  

                    "$type" : "MoleMole.FireEffect",

                    "EffectPattern" : "Eff_Avatar_LevelUp_01",

                    "Target" : "Self"

                }

            ],



            "OnLifeLockFirstTriggeredActions":

            [

                {  

                    "$type" : "MoleMole.FireEffect",

                    "EffectPattern" : "Eff_Avatar_LevelUp_02",

                    "Target" : "Self"

                }

            ],

        }

    ]

}